# Código de Conducta

## Nuestro Compromiso

En el interés de fomentar un ambiente abierto y acogedor, nosotros como colaboradores y mantenedores nos comprometemos a hacer de la participación en nuestro proyecto y nuestra comunidad una experiencia libre de acoso para todos, independientemente de la edad, dimensión corporal, discapacidad, etnia, identidad y expresión de género, nivel de experiencia, nacionalidad, apariencia personal, raza, religión, o identidad y orientación sexual.

## Nuestros Estándares

Ejemplos de comportamiento que contribuyen a crear un ambiente positivo:

* Uso de lenguaje amable e inclusivo
* Respeto a diferentes puntos de vista y experiencias
* Aceptación de críticas constructivas
* Enfocarse en lo que es mejor para la comunidad
* Mostrar empatía hacia otros miembros de la comunidad

Ejemplos de comportamiento inaceptable:

* Uso de lenguaje o imágenes sexuales y atención o insinuaciones sexuales no deseadas
* Comentarios despectivos (_trolling_), insultantes o derogatorios, y ataques personales o políticos
* Acoso público o privado
* Publicación de información privada de terceros sin su consentimiento, como direcciones físicas o electrónicas
* Conducta que podría ser considerada inapropiada en un entorno profesional

## Nuestras Responsabilidades

Los mantenedores del proyecto son responsables de clarificar los estándares de comportamiento aceptable y se espera que tomen medidas correctivas y apropiadas en respuesta a situaciones de conducta inaceptable.

Los mantenedores del proyecto tienen el derecho y la responsabilidad de eliminar, editar o rechazar comentarios, _commits_, código, ediciones de documentación, _issues_, y otras contribuciones que no estén alineadas con este Código de Conducta, o de prohibir temporal o permanentemente a cualquier colaborador cuyo comportamiento sea inapropiado, amenazante, ofensivo o perjudicial.

## Alcance

Este código de conducta aplica tanto a espacios del proyecto como a espacios públicos donde un individuo esté en representación del proyecto o comunidad. Ejemplos de esto incluyen el uso de la cuenta oficial de correo electrónico, publicaciones a través de las redes sociales oficiales, o presentaciones con personas designadas en eventos en línea o no. La representación del proyecto puede ser clarificada explícitamente por los mantenedores del proyecto.

## Aplicación

Ejemplos de abuso, acoso u otro tipo de comportamiento inaceptable pueden ser reportados al equipo del proyecto en [cervantesarturo254@gmail.com](mailto:cervantesarturo254@gmail.com). Todas las quejas serán revisadas e investigadas, generando un resultado apropiado a las circunstancias. El equipo del proyecto está obligado a mantener la confidencialidad de la persona que reporta el incidente. Detalles específicos acerca de las políticas de aplicación pueden ser publicadas por separado.

Los mantenedores del proyecto que no sigan o que no hagan cumplir este Código de Conducta pueden ser eliminados de forma temporal o permanente del equipo del proyecto.

## Atribución

Este Código de Conducta es una adaptación del [Contributor Covenant][homepage], versión 2.0,
disponible en https://www.contributor-covenant.org/es/version/2/0/code_of_conduct.html

[homepage]: https://www.contributor-covenant.org

Para respuestas a las preguntas frecuentes acerca de este código de conducta, consulta las FAQ en
https://www.contributor-covenant.org/faq
